<?php
namespace App\Http\Controllers\Api;

use App\Service\AssetServerService;
use Illuminate\Http\Request;

class AssetController extends BaseController
{
    public function getSite(Request $request){
        list($bool, $data) = (new AssetServerService())->getSite($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function pdList(Request $request){
        list($bool, $data) = (new AssetServerService())->pdList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function pdDetail(Request $request){
        list($bool, $data) = (new AssetServerService())->pdDetail($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function pdUpdate(Request $request){
        list($bool, $data) = (new AssetServerService())->pdUpdate($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function createFixedBorrow(Request $request){
        list($bool, $data) = (new AssetServerService())->createFixedBorrow($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function baseFixedQuery(Request $request){
        list($bool, $data) = (new AssetServerService())->baseFixedQuery($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function createFixedReturn(Request $request){
        list($bool, $data) = (new AssetServerService())->createFixedReturn($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function manList(Request $request){
        list($bool, $data) = (new AssetServerService())->manList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function bmList(Request $request){
        list($bool, $data) = (new AssetServerService())->bmList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function fbList(Request $request){
        list($bool, $data) = (new AssetServerService())->fbList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function tourismBaseFixedBorrowList(Request $request){
        list($bool, $data) = (new AssetServerService())->tourismBaseFixedBorrowList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }
}
