<?php
namespace App\Http\Controllers\Api;

use App\Service\JRFIDServerService;
use Illuminate\Http\Request;

class JRFIDController extends BaseController
{
    public function getSite(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getSite($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getSite2(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getSite2($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getFlowByProduce(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getFlowByProduce($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getProduceByContract(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getProduceByContract($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getPrintData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getPrintData($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getPrintData2(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getPrintData2($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getTeam(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getTeam($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getDepart(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getDepart($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getProcedureClass(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getProcedureClass($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function furnProduceScheduleList(Request $request){
        list($bool, $data) = (new JRFIDServerService())->furnProduceScheduleList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function completionOrders(Request $request){
        list($bool, $data) = (new JRFIDServerService())->completionOrders($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function scanScreenCompleted(Request $request){
        list($bool, $data) = (new JRFIDServerService())->scanScreenCompleted($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenGetDispatchDtData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetDispatchDtData($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function qualityOrders(Request $request){
        list($bool, $data) = (new JRFIDServerService())->qualityOrders($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenPrint(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenPrint($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenPrintSepData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenPrintSepData($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenGetSepData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetSepData($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getContractDrawRoom(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getContractDrawRoom($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getDispatchContractDrawRoom(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getDispatchContractDrawRoom($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenGetProFlow(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetProFlow($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenSend(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenSend($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenAutoCreateDispatch(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenAutoCreateDispatch($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenReceipt(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenReceipt($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenPackage(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenPackage($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenGetPackageData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetPackageData($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenGetProDtData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetProDtData($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenGetPackageAssem(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetPackageAssem($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenGetPackageAssemData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetPackageAssemData($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function furnSeparateOrderDtAssemList(Request $request){
        list($bool, $data) = (new JRFIDServerService())->furnSeparateOrderDtAssemList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenPackageBySepAssem(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenPackageBySepAssem($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function sendAndReceiptList(Request $request){
        list($bool, $data) = (new JRFIDServerService())->sendAndReceiptList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function sendOrderDtAssemList(Request $request){
        list($bool, $data) = (new JRFIDServerService())->sendOrderDtAssemList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function packageList(Request $request){
        list($bool, $data) = (new JRFIDServerService())->packageList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function furnSeparateOrderCompList(Request $request){
        list($bool, $data) = (new JRFIDServerService())->furnSeparateOrderCompList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function furnSeparateOrderDtCompList(Request $request){
        list($bool, $data) = (new JRFIDServerService())->furnSeparateOrderDtCompList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function furnSendOrderDtCompList(Request $request){
        list($bool, $data) = (new JRFIDServerService())->furnSendOrderDtCompList($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function getWorkshopData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getWorkshopData($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }

    public function screenGetSendData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetSendData($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            if($bool === 0) return $this->json_return(401,$data);
            return $this->json_return(201,$data);
        }
    }
}
